%define module	pytools
%define name	python-%{module}
%define version 2013.5.7
%define release %mkrel 1

Summary:	A collection of tools for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://mathema.tician.de/software/pytools
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)

%rename python-tools

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%package -n python3-%{module} 
Summary:	A collection of tools for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)

%description -n python3-%{module} 
Pytools is a big bag of things that are "missing" from the Python 3
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd

%files
%doc README PKG-INFO
%{python_sitelib}/*

%files -n python3-%{module} 
%doc README PKG-INFO
%{python3_sitelib}/*


%changelog
* Sat Dec 21 2013 philippem <philippem> 2013.5.7-1.mga4
+ Revision: 559454
- Update to 2013.5.7, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 2013.5.3-4.mga4
+ Revision: 544153
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013.5.3-3.mga4
+ Revision: 499273
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jul 28 2013 joequant <joequant> 2013.5.3-2.mga4
+ Revision: 459582
- add rename directive to remove python-tools package

* Fri Jul 05 2013 philippem <philippem> 2013.5.3-1.mga4
+ Revision: 450383
- Update to 2013.5.3

* Sun Jan 13 2013 umeabot <umeabot> 2011.4-2.mga3
+ Revision: 379419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 27 2011 lebedov <lebedov> 2011.4-1.mga2
+ Revision: 149547
- imported package python-pytools

